package com.palmnest.dao.estateserve;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.Picandtextdetailstemp;

/**
 * 消息模板管理
 *
 * @author ldb
 */
public interface ScPicandtextdetailstempDao extends GenericDao<Picandtextdetailstemp, Integer> {

	public Picandtextdetailstemp save(Picandtextdetailstemp scPicandtextdetailstemp);

	public void delPicandtextdetailstemp(final Integer... ids);

	public void delPicandtextdetailstempByKeyId(Integer id);

	public List<Picandtextdetailstemp> getScPicandtextdetailstemps(Integer kid);

	public void removeScPicandtextdetailstemp(Integer detailid);
}
